Topic: Conseils : Instalez qt5.9.2

@ Développeurs

Installez qt5.9.2
C'est pour les développeurs
http://download.qt.io/archive/qt/5.9/5.9.2/
pour linux c'est une version 64 bits

https://askubuntu.com/questions/18747/h … -run-files
Cela peut aussi fonctionner pour Debian.

Malheureusement, je n'ai pas de processeur 64 bits pour essayer ça.

2 (edited by Nuri 2017-10-12 08:21:14)

Re: Conseils : Instalez qt5.9.2

Already done :

https://qelectrotech.org/forum/viewtopi … 7141#p7141

Re: Conseils : Instalez qt5.9.2

@Nuri : Thank you , danke sehr

--------------------------------------

Il y a une nouvelle version de qt.
C'est pour les développeurs
http://download.qt.io/development_releases/qt/5.10/


Erik - Re-searcher

Re: Conseils : Instalez qt5.9.2

Les paquets Qt 5.9.2 sont aussi disponibles dans le dépôt Debian expérimental, mais il vaut mieux attendre un petit peu qu'il descendent dans la branche unstable.

Re: Conseils : Instalez qt5.9.2

@ Erik, les nouveautés apportés par Qt 5.10 encore en beta ..ne nous sont pas très utile pour QET, avec le risque de rencontrer de nouveaux bugs introduit par Qt, je préfère tabler sur la version LTS de la branche 5.9.x du moins pour l'instant.

Re: Conseils : Instalez qt5.9.2

@ scorpio810
Ma version précédente de qt était Qt 5.7.1 ( debian stretch )
Maintenant, je suis allé à Debian SID ( buster ) avec qt version 5.9.1 nomicons/smile

Re: Conseils : Instalez qt5.9.2

Tu peux aussi prendre et tester Qt 5.9.2 de experimental, je le ferai surement plus tard sur mon laptop.

Re: Conseils : Instalez qt5.9.2

Bonjour,
@scorpio810

Debian SID(Buster) 32bit

QElectroTech V 0.70-dev+svn5084
Compilatie: GCC 7.2.0 - built with Qt 5.9.1 - run with Qt 5.9.1

Re: Conseils : Instalez qt5.9.2

apt-cache policy libqt5core5a
libqt5core5a:

 Installé : 5.9.1+dfsg-12
 Candidat : 5.9.1+dfsg-12
Table de version :
    5.9.2+dfsg-3 1
         1 http://ftp.fr.debian.org/debian experimental/main amd64 Packages
*** 5.9.1+dfsg-12 500
       500 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
       100 /var/lib/dpkg/status

Re: Conseils : Instalez qt5.9.2

Bonjour,
@scorpio810 :

Merci pour votre explication.

Maintenant, je vois que qt5.9.2 est pour le bit 64 et n'est pas encore pour le bit 32

Re: Conseils : Instalez qt5.9.2

~$ apt-cache policy libqt5core5a
libqt5core5a:

 Installé : 5.9.1+dfsg-12
 Candidat : 5.9.2+dfsg-4
Table de version :
    5.9.2+dfsg-4 500
       500 http://ftp.fr.debian.org/debian unstable/main amd64 Packages
*** 5.9.1+dfsg-12 100
       100 /var/lib/dpkg/status

https://packages.debian.org/sid/libqt5core5a

Re: Conseils : Instalez qt5.9.2

[size=4]Debian Sid :


[size=4]QElectroTech V 0.70-dev+svn5087
Compilation : GCC 7.2.1 20171025 - built with Qt 5.9.2 - run with Qt 5.9.1

Re: Conseils : Instalez qt5.9.2

@scorpio810 :

Merci pour votre explication.